Skip to main content
DELETE
/
api
/
transactions
Delete transactions
curl --request DELETE \
  --url https://app.herondata.io/api/transactions \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app.herondata.io/api/transactions"

headers = {"x-api-key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.herondata.io/api/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

heron_id
string | null

(legacy) Heron ID of transaction to be deleted

Example:

"txn_WgKJfoXoyFGyy9siWJEmAa"

heron_ids
string[]

Heron IDs of transactions to be deleted

reference_ids
string[]

Reference IDs of transactions to be deleted

request_id
string | null

Request ID of transactions to be deleted

end_user_id
string | null

end_user_id of transactions to be deleted

account_id
string | null

account_id of transactions to be deleted

only_duplicates
boolean | null

if true, deletes only transactions that are marked as duplicates

Callbacks

POST
$yourWebhookUrlonData

Body

application/json

Webhook payload with transactions

created
string<date-time>

time webhook was sent

Example:

"2026-07-10T22:53:24.429623"

data
object

payload of the webhook

meta
object

meta information about the webhook

topic
string

topic of webhook

Example:

"transactions.deleted"

Response

200

Your webhook implementation should return this HTTP status code if the data was received successfully.

Response

202 - application/json

OK

message
string